Bug 174830 - ldap_start_tls_s() leaks
Summary: ldap_start_tls_s() leaks
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openldap (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 190430 212183
TreeView+ depends on / blocked
 
Reported: 2005-12-02 16:18 UTC by Bastien Nocera
Modified: 2015-01-08 00:11 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0430
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 17:51:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openldap-2.0.27-start_tls-leak.patch (612 bytes, patch)
2005-12-02 16:18 UTC, Bastien Nocera
no flags Details | Diff
simple_leak_test.c (859 bytes, text/plain)
2005-12-02 16:19 UTC, Bastien Nocera
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0430 normal SHIPPED_LIVE Low: openldap security and bug-fix update 2007-06-07 22:30:55 UTC

Description Bastien Nocera 2005-12-02 16:18:27 UTC
the attached test case leaks a couple of bytes of memory each time it's called.

Patch attached.

Comment 1 Bastien Nocera 2005-12-02 16:18:27 UTC
Created attachment 121761 [details]
openldap-2.0.27-start_tls-leak.patch

Comment 2 Bastien Nocera 2005-12-02 16:19:23 UTC
Created attachment 121762 [details]
simple_leak_test.c

Comment 3 Bastien Nocera 2005-12-02 16:20:17 UTC
authid is marked as a const, when it's really a newly allocated string. So mark
it as not const, and free it when we're done.

Comment 7 Daniel Riek 2006-12-15 15:04:19 UTC
PM ACK and adjusting priority to high,

Comment 16 Red Hat Bugzilla 2007-06-11 17:51:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0430.html



Note You need to log in before you can comment on or make changes to this bug.